net.minecraft.world

## Class WorldType

- java.lang.Object
- - net.minecraft.world.WorldType

-     public class WorldType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WorldType` | `AMPLIFIED`
    `static WorldType` | `DEFAULT`
    `static WorldType` | `DEFAULT_1_1`
    `static WorldType` | `FLAT`
    `static WorldType` | `LARGE_BIOMES`
    `static WorldType[]` | `worldTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldType(java.lang.String name)` Creates a new world type, the ID is hidden and should not be referenced by modders.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `func_151359_c()`
    `GenLayer` | `getBiomeLayer(long worldSeed, GenLayer parentLayer)` Creates the GenLayerBiome used for generating the world
    `boolean` | `getCanBeCreated()`
    `IChunkProvider` | `getChunkGenerator(World world, java.lang.String generatorOptions)`
    `WorldChunkManager` | `getChunkManager(World world)`
    `float` | `getCloudHeight()` Get the height to render the clouds for this world type
    `int` | `getGeneratorVersion()`
    `double` | `getHorizon(World world)`
    `int` | `getMinimumSpawnHeight(World world)`
    `int` | `getSpawnFuzz()` Gets the spawn fuzz for players who join the world.
    `java.lang.String` | `getTranslateName()`
    `WorldType` | `getWorldTypeForGeneratorVersion(int par1)`
    `int` | `getWorldTypeID()`
    `java.lang.String` | `getWorldTypeName()`
    `boolean` | `handleSlimeSpawnReduction(java.util.Random random, World world)`
    `boolean` | `hasVoidParticles(boolean flag)`
    `boolean` | `isCustomizable()` Should world creation GUI show 'Customize' button for this world type?
    `boolean` | `isVersioned()`
    `void` | `onCustomizeButton(Minecraft instance, GuiCreateWorld guiCreateWorld)` Called when the 'Customize' button is pressed on world creation GUI
    `void` | `onGUICreateWorldPress()` Called when 'Create New World' button is pressed before starting game
    `static WorldType` | `parseWorldType(java.lang.String par0Str)`
    `boolean` | `showWorldInfoNotice()`
    `double` | `voidFadeMagnitude()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### worldTypes

          public static WorldType[] worldTypes

    - #### DEFAULT

          public static final WorldType DEFAULT

    - #### FLAT

          public static final WorldType FLAT

    - #### LARGE_BIOMES

          public static final WorldType LARGE_BIOMES

    - #### AMPLIFIED

          public static final WorldType AMPLIFIED

    - #### DEFAULT_1_1

          public static final WorldType DEFAULT_1_1

  - ### Constructor Detail

    - #### WorldType

          public WorldType(java.lang.String name)

      Creates a new world type, the ID is hidden and should not be referenced by modders. It will automatically expand the underlying workdType array if there are no IDs left.
      Parameters:
        `name` -

  - ### Method Detail

    - #### getWorldTypeName

          public java.lang.String getWorldTypeName()

    - #### getTranslateName

          public java.lang.String getTranslateName()

    - #### func_151359_c

          public java.lang.String func_151359_c()

    - #### getGeneratorVersion

          public int getGeneratorVersion()

    - #### getWorldTypeForGeneratorVersion

          public WorldType getWorldTypeForGeneratorVersion(int par1)

    - #### getCanBeCreated

          public boolean getCanBeCreated()

    - #### isVersioned

          public boolean isVersioned()

    - #### parseWorldType

          public static WorldType parseWorldType(java.lang.String par0Str)

    - #### getWorldTypeID

          public int getWorldTypeID()

    - #### showWorldInfoNotice

          public boolean showWorldInfoNotice()

    - #### getChunkManager

          public WorldChunkManager getChunkManager(World world)

    - #### getChunkGenerator

          public IChunkProvider getChunkGenerator(World world,
                                         java.lang.String generatorOptions)

    - #### getMinimumSpawnHeight

          public int getMinimumSpawnHeight(World world)

    - #### getHorizon

          public double getHorizon(World world)

    - #### hasVoidParticles

          public boolean hasVoidParticles(boolean flag)

    - #### voidFadeMagnitude

          public double voidFadeMagnitude()

    - #### handleSlimeSpawnReduction

          public boolean handleSlimeSpawnReduction(java.util.Random random,
                                          World world)

    - #### onGUICreateWorldPress

          public void onGUICreateWorldPress()

      Called when 'Create New World' button is pressed before starting game

    - #### getSpawnFuzz

          public int getSpawnFuzz()

      Gets the spawn fuzz for players who join the world. Useful for void world types.
      Returns:
        Fuzz for entity initial spawn in blocks.

    - #### onCustomizeButton

          public void onCustomizeButton(Minecraft instance,
                               GuiCreateWorld guiCreateWorld)

      Called when the 'Customize' button is pressed on world creation GUI
      Parameters:
        `instance` - The minecraft instance
        `guiCreateWorld` - the createworld GUI

    - #### isCustomizable

          public boolean isCustomizable()

      Should world creation GUI show 'Customize' button for this world type?
      Returns:
        if this world type has customization parameters

    - #### getCloudHeight

          public float getCloudHeight()

      Get the height to render the clouds for this world type
      Returns:
        The height to render clouds at

    - #### getBiomeLayer

          public GenLayer getBiomeLayer(long worldSeed,
                               GenLayer parentLayer)

      Creates the GenLayerBiome used for generating the world
      Parameters:
        `worldSeed` - The world seed
        `parentLayer` - The parent layer to feed into any layer you return
      Returns:
        A GenLayer that will return ints representing the Biomes to be generated, see GenLayerBiome